Bug 122093 - USB key from Philips does not work
USB key from Philips does not work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 08:23 EDT by Andrey Bondarenko
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 19:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey Bondarenko 2004-04-30 08:23:54 EDT
Description of problem: USB key mass storage from Philips does not 
work. I can not mount it or see it by fdisk -l 
 
Dmesg: 
 
SCSI subsystem initialized 
Initializing USB Mass Storage driver... 
scsi0 : SCSI emulation for USB Mass Storage devices 
  Vendor: PHILIPS   Model: Key Ring (128MB)  Rev: 0001 
  Type:   Direct-Access                      ANSI SCSI revision: 02 
SCSI device sda: 256001 512-byte hdwr sectors (131 MB) 
sda: assuming Write Enabled 
sda: assuming drive cache: write through 
 sda:end_request: I/O error, dev sda, sector 256000 
Buffer I/O error on device sda, logical block 256000 
[shaman@localhost shaman]$ 
 
So mount or fdisk -l hangs. By the way, if I remove key
Comment 1 Andrey Bondarenko 2004-04-30 08:24:39 EDT
If I remove key LED indicator on it does not turn off 
Comment 2 Satish Balay 2004-04-30 12:22:26 EDT
I might have hit similar issue with an external USB enclosure with a
HDD. The case is ia IOGEAR ION  usb 2.0/firewire HD enclosure. This
error happens on a IBM Thinkpad T40. On connecting the usb cable - I
get the following in /var/log/messages

----------------
Apr 30 11:21:51 asterix kernel: usb 1-4: new high speed USB device
using address 2
Apr 30 11:21:52 asterix kernel: Initializing USB Mass Storage driver...
Apr 30 11:21:52 asterix kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Apr 30 11:21:52 asterix kernel:   Vendor:           Model:           
       Rev:     
Apr 30 11:21:52 asterix kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 02
Apr 30 11:21:52 asterix kernel: SCSI device sda: 241254721 512-byte
hdwr sectors (123522 MB)
Apr 30 11:21:52 asterix kernel: sda: assuming drive cache: write through
Apr 30 11:22:02 asterix scsi.agent[2200]: Attribute
/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/host0/0:0:0:0/type
does not exist

-------------

This disk has sda1,sda2 partitions - and they are not detected. And
'fdisk /dev/sda' just hangs - until I unplug the usb cable

This is with kernel-2.6.5-1.327 (similar behavior with kernel-2.6.5-1.344)

---------------
[root@asterix balay]# /sbin/lsusb 
Bus 004 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 001 Device 002: ID 067b:2507 Prolific Technology, Inc. 
Bus 001 Device 001: ID 0000:0000  
[root@asterix balay]# /sbin/lspci 
00:00.0 Host bridge: Intel Corp. 82855PM Processor to I/O Controller
(rev 03)
00:01.0 PCI bridge: Intel Corp. 82855PM Processor to AGP Controller
(rev 03)
00:1d.0 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #1 (rev 01)
00:1d.1 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #2 (rev 01)
00:1d.2 USB Controller: Intel Corp. 82801DB (ICH4) USB UHCI #3 (rev 01)
00:1d.7 USB Controller: Intel Corp. 82801DB (ICH4) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corp. 82801BAM/CAM PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corp. 82801DBM LPC Interface Controller (rev 01)
00:1f.1 IDE interface: Intel Corp. 82801DBM (ICH4) Ultra ATA Storage
Controller (rev 01)
00:1f.3 SMBus: Intel Corp. 82801DB/DBM (ICH4) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corp. 82801DB (ICH4) AC'97
Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB (ICH4) AC'97 Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf
[Radeon Mobility 9000 M9] (rev 02)
02:00.0 CardBus bridge: Texas Instruments PCI1520 PC card Cardbus
Controller (rev 01)
02:00.1 CardBus bridge: Texas Instruments PCI1520 PC card Cardbus
Controller (rev 01)
02:01.0 Ethernet controller: Intel Corp. 82540EP Gigabit Ethernet
Controller (Mobile) (rev 03)
02:02.0 Ethernet controller: Atheros Communications, Inc. AR5211
802.11ab NIC (rev 01)
[root@asterix balay]# 
Comment 3 Satish Balay 2004-04-30 12:24:11 EDT
I hate the bugzilla interface that does linewrapping - and I don't
want to attach these snippets - as an atachment.. ahh..
Comment 4 Andrey Bondarenko 2004-04-30 12:45:15 EDT
Note, that my Philips-key works well on 2.6.5 from kernel.org and 
last kernel from FC1. 
Comment 5 Andrey Bondarenko 2004-05-07 13:05:21 EDT
On kernel-2.6.5-1.351 does not work 
Comment 6 Andrey Bondarenko 2004-05-11 13:40:45 EDT
On 2.6.5-1.358 it does not work ether:  
 
usb 2-1.3: new full speed USB device using address 7 
scsi3 : SCSI emulation for USB Mass Storage devices 
  Vendor: PHILIPS   Model: Key Ring (128MB)  Rev: 0001 
  Type:   Direct-Access                      ANSI SCSI revision: 02 
SCSI device sda: 256001 512-byte hdwr sectors (131 MB) 
sda: assuming Write Enabled 
sda: assuming drive cache: write through 
 sda:end_request: I/O error, dev sda, sector 256000 
Buffer I/O error on device sda, logical block 256000 
 
 
KingMax 128MB flash drive works. What may be wrong? 
Comment 7 Pete Zaitcev 2004-08-19 19:44:41 EDT
Did 2.6.7-1.494.2.2 work for you, Andrey?
Comment 8 Andrey Bondarenko 2004-08-20 13:20:41 EDT
Well, I had burned the device, kernel 2.2  and WinXP don't see it no 
more, so I can not tell you anything valuable, sorry. 
Comment 9 Pete Zaitcev 2004-08-20 19:40:13 EDT
I'm closing this.

Satish, file your own bug please.
Comment 10 Satish Balay 2004-08-21 12:36:48 EDT
Yeah - I should have filed this in a different one. 

But I don't have this device anymore. I got a different usb hdd that
works with both fc1 and fc2.

Note You need to log in before you can comment on or make changes to this bug.